Subject: Re: bug#30872: 26.0.91; odd byte compile issue

From: Noam Postavsky <[email-masked]>
Date: Tue, 20 Mar 2018 19:57:28 -0400

retitle 30872 incorrect byte-compile of closure called from local funcalled function
found 30872 24.3
tags 30872 + confirmed
quit

Aaron Jensen <[email-masked]> writes:

> There's all sorts of weird stuff in that repro, and maybe someone can
> pare it down further, but most of it appears to be required.

I macroexpanded and reduced the result, ending up with this:

I can reproduce back to 24.3 (which is the earliest Emacs I have
running).  I expect the bug has been present since the introduction of
lexical scope.  Looks somewhat similar to Bug#24171.